Eclipse Platform Release 3.7

## org.eclipse.ui.preferences
Class SettingsTransfer

    java.lang.Object
      org.eclipse.ui.preferences.SettingsTransfer

    public abstract class SettingsTransfer

extends Object

The SettingsTransfer is the abstract superclass of settings transfers used when switching workspaces.

Since:
  3.3

Constructor Summary
`SettingsTransfer()`

Method Summary
`abstract String` `getName()` Return the name for the receiver.
`static IConfigurationElement[]` `getSettingsTransfers()` Return the configuration elements for all of the settings transfers.
`abstract IStatus` `transferSettings(IPath newWorkspaceRoot)` Transfer the settings to a workspace rooted at newWorkspacwe

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsTransfer

    public SettingsTransfer()

Method Detail

### getSettingsTransfers

    public static IConfigurationElement[] getSettingsTransfers()

  Return the configuration elements for all of the settings transfers.

  Returns:
    IConfigurationElement[]

### transferSettings

    public abstract IStatus transferSettings(IPath newWorkspaceRoot)

  Transfer the settings to a workspace rooted at newWorkspacwe

  Parameters:
    `newWorkspaceRoot` -
  Returns:
    `IStatus` the status of the transfer.

### getName

    public abstract String getName()

  Return the name for the receiver.

  Returns:
    String

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.